
<!--
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<!--part-->
<div class="ddp-box-part" *ngIf="isShow">
  <div class="ddp-box-title">
    <span class="ddp-box-title-in">
        {{'msg.dp.th.expression' | translate}}<em class="ddp-icon-essential"></em>
        <a href="javascript:" class="ddp-btn-plus" (click)="addFormula();"></a>
    </span>
  </div>
  <div class="ddp-wrap-box-info" [ngClass]="{'ddp-selected':isFocus}">
    <!--box scroll -->
    <div class="ddp-wrap-boxwrap">
      <div class="ddp-wrap-boxadd" *ngFor="let item of formulaList; trackBy:trackByFn; let idx = index;">
        <div class="ddp-wrap-datainput">
          <rule-condition-input
            [placeholder]="'msg.dp.th.expression.ph' | translate"
            [formula]="item" [command]="'pivot'" [fields]="fields" [tabIndex]="2"
            (onChange)="formulaList[idx] = $event"></rule-condition-input>
        </div>
        <div class="ddp-ui-buttons">
          <a href="javascript:" class="ddp-btn-minus" (click)="deleteFormula(idx)"></a>
        </div>
      </div>
    </div>
  </div>
</div>
<!--//part-->

<!--part-->
<div class="ddp-box-part" *ngIf="isShow">
  <div class="ddp-box-title">
    {{'msg.dp.th.group.by' | translate}}
  </div>

  <!-- select box -->
  <edit-rule-field-combo [isMulti]="true" [fields]="fields" [selected]="selectedFields" [tabIndex]="3"
                         (onChange)="changeGroupFields($event)" [effectGrid]="true"></edit-rule-field-combo>
  <!-- //select box -->
</div>


<div class="ddp-box-part" *ngIf="isShow">
  <div class="ddp-box-title">
    {{'msg.comm.ui.soring.by' | translate}}<em class="ddp-icon-essential"></em>
  </div>

  <!-- select box -->
  <edit-rule-field-combo [isMulti]="true" [fields]="fields" [selected]="selectedSortFields" [tabIndex]="4"
                         (onChange)="changeSortFields($event)" [effectGrid]="false"></edit-rule-field-combo>
  <!-- //select box -->
</div>
